package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonXietiao;
import com.ruoyi.system.domain.task.TkCommonXietiaoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonXietiaoMapper {
    long countByExample(TkCommonXietiaoExample example);

    int deleteByExample(TkCommonXietiaoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonXietiao record);

    int insertSelective(TkCommonXietiao record);

    List<TkCommonXietiao> selectByExample(TkCommonXietiaoExample example);

    TkCommonXietiao selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonXietiao record, @Param("example") TkCommonXietiaoExample example);

    int updateByExample(@Param("record") TkCommonXietiao record, @Param("example") TkCommonXietiaoExample example);

    int updateByPrimaryKeySelective(TkCommonXietiao record);

    int updateByPrimaryKey(TkCommonXietiao record);
}